#include "windows.h"
#include <cstdio>
#include "debug.hpp"

int mbok(const char *s)
{
 return MessageBox(NULL, s, "Program Message", MB_OK);
}

int mbok(const char *s, double x, int n)
{
 char t[100] = "";
 char f[11] = ""; //maximal case: "%s: %.15lf"

 sprintf(f, "%%s: %%.%dlf", n);
 sprintf(t, f, s, x);

 return MessageBox(NULL, t, "Program Message", MB_OK);
}

int mbok(const char *s, int x)
{
 char t[100] = "";

 sprintf(t, "%s: %d", s, x);

 return MessageBox(NULL, t, "Program Message", MB_OK);
}
